Skip to main content
GET
/
api
/
v1
/
invoices
/
{invoiceId}
/
pdf
Get invoice PDF
curl --request GET \
  --url https://api.contracting.kukkingu.software/api/v1/invoices/{invoiceId}/pdf \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "url": "<string>",
    "fileName": "<string>",
    "expiresIn": 123,
    "expiresAt": "2023-10-05T14:48:00.000Z",
    "createdAt": "2023-10-05T14:48:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoiceId
string
required

The ID of the invoice.

Example:

"inv_mqxd1kc6bgtcc676xoqzax47"

Response

Default Response

Standard success response payload wrapped in a data property.

data
object
required

Invoice PDF download information.